### Function

# Soup uri_decode_data_uri

#### Declaration [src]

    GBytes*
    soup_uri_decode_data_uri (
      const char* uri,
      char** content_type
    )

#### Description [src]

Decodes the given data URI and returns its contents and `content_type`.

#### Parameters

`uri`

  Type: `const char*`

  A data URI, in string form.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`content_type`

  Type: `char**`

  Location to store content type.

  The argument will be set by the function.
  The argument can be set to `NULL` by the function.
  The called function takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GBytes`

A `GBytes` with the contents of `uri`, or `NULL` if `uri` is not a valid data URI.

The caller of the function takes ownership of the data, and is responsible for freeing it.